<?php
/**
 * Plugin redacteur restreint
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/autoriser');

/**
 * Auteur non restreint
 */
function cirr_auteur_non_restreint() {
    $return = "2=2";

    if (isset($GLOBALS['visiteur_session']['id_auteur']) AND $GLOBALS['visiteur_session']['id_auteur']){
            if (liste_rubriques_auteur($GLOBALS['visiteur_session']['id_auteur'])){
                    $return = "2=0";
            }

            /* exemple d'utilisation du pipeline
            function monplugin_cirr_auteur_non_restreint($id_auteur=''){
                $return = false;
                if (_request('exec')=='offre'){
                    $return = true;
                }
                return $return;
            }
            */

            if (pipeline('cirr_auteur_non_restreint',$GLOBALS['visiteur_session']['id_auteur'])){
                $return = "2=2";    
            } 
    }
    return $return;
}


/**
 * Tableau des rubriques de l'auteur
 */
function cirr_tableau_rubriques_auteur() {
	if (isset($GLOBALS['visiteur_session']['id_auteur']) AND $GLOBALS['visiteur_session']['id_auteur'])
		return liste_rubriques_auteur($GLOBALS['visiteur_session']['id_auteur']);
	else
		return array(0);
}


/**
 * Auteur particulier restreint
 */
function cirr_id_auteur_restreint($id_auteur) {
	$return = '';

// la fonction liste_rubriques_auteur de SPIP 3
// consomme beaucoup de memoire lorsque la volumetre de rubrique
// est beaucoup trop elevee        
/*	
	if (intval($id_auteur))
		if (liste_rubriques_auteur(intval($id_auteur)))
			$return = oui;
*/
        
	if ($id_auteur = intval($id_auteur)) {
            if (sql_countsel("spip_auteurs_liens", "objet='rubrique' AND id_auteur=$id_auteur")>0)
                $return = "oui";
	}
        
	return $return;
}

function cirr_plan_lister_objets_rubrique_statuts_auteur(){
    if (defined('_DIR_PLUGIN_PLAN')){
        return plan_lister_objets_rubrique_statuts_auteur();
    } else {
        return array();
    }
}

?>